MKC_CHECK_COMPILER(1)

NAME
mkc_check_compiler - checks for C and C++ compiler type.

SYNOPSIS
mkc_check_compiler [OPTIONS]

DESCRIPTION
mkc_check_compiler recognizes the compiler type and version, and prints them to stdout. By default, temporary and cache files _mkc_compiler_type.{err,res} (for C compiler) and _mkc_cxx_type.{err,res} (for C++ compiler) are created under MKC_CACHEDIR directory.

OPTIONS

-x  Check C++ compiler type. By default C compiler type and version are checked.

ENVIRONMENT

CC  C compiler. The default is cc.

CXX C++ compiler. The default is c++.

MKC_VERBOSE
    If set to 1, verbose messages are output to stderr.

MKC_SHOW_CACHED
    If set to 1 and MKC_VERBOSE is set to 1, cached results are output to stderr.

MKC_CACHEDIR
    Directory where temporary and cache files are created. If unset they are created in a current directory.

MKC_NOCACHE
    All results are cached unless MKC_NOCACHE variable is set to 1.

MKC_DELETE_TMPFILES
    If set to 1, temporary files are removed.

EXAMPLES
   export CC=icc; mkc_check_compiler
   export CXX=clang++; mkc_check_compiler -x

AUTHOR
Aleksey Cheusov <vle@gmx.net>